Skip to main content
GET
/
kalshi
/
positions
cURL
curl --request GET \
  --url https://api.example.com/kalshi/positions
{
  "positions": [
    {
      "positionId": "<string>",
      "userId": "<string>",
      "marketId": "<string>",
      "side": "yes",
      "ccontracts": "<string>",
      "createdAt": 123,
      "updatedAt": 123
    }
  ]
}
To avoid ambiguity, we denote the smallest possible multiple of USDC (0.000001 USDC) as one uusdc, which stands for µUSDC (micro-USDC), and denote the smallest possible multiple of a contract (0.01 contract) as one ccontract (centicontract).User-facing USDC balances are specified as fixed-point strings (e.g. "1.2625" for USDC). Contract quantities in the API and SDK are specified as integer ccontracts strings (e.g. "1050" for 10.50 contracts at precision 2).

Query Parameters

userId
string
required

Ethereum address of the user

Example:

"0x1234567890123456789012345678901234567890"

Response

Successfully retrieved positions

positions
object[]
required